linux-lts-utopic: 3.16.0-51.69~14.04.1 -proposed tracker

Bug #1503717 reported by Luis Henriques on 2015-10-07
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-51.69~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 07. October 2015 14:44 UTC
kernel-stable-Prepare-package-end:Thursday, 08. October 2015 03:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 08. October 2015 03:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 08. October 2015 12:49 UTC
kernel-stable-Verification-testing-start:Thursday, 08. October 2015 14:04 UTC
kernel-stable-Certification-testing-start:Thursday, 08. October 2015 14:04 UTC
kernel-stable-Security-signoff-start:Thursday, 08. October 2015 14:04 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Thursday, 08. October 2015 14:04 UTC
kernel-stable-Security-signoff-end:Thursday, 08. October 2015 20:02 UTC
kernel-stable-Certification-testing-end:Friday, 16. October 2015 16:55 UTC
kernel-stable-Regression-testing-end:Friday, 16. October 2015 17:10 UTC
kernel-stable-Promote-to-updates-start:Sunday, 18. October 2015 21:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 19. October 2015 17:18 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 19. October 2015 19:04 UTC

CVE References

Luis Henriques (henrix) on 2015-10-07
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) on 2015-10-08
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2015-10-08
description: updated
Brad Figg (brad-figg) on 2015-10-08
description: updated
Brad Figg (brad-figg) on 2015-10-08
description: updated

Here's the relevant information:

 trusty linux-lts-utopic 3.16.0-51.69~14.04.1 REGR summary<REGR: 1 MISS: 107 FAIL: 22 GOOD: 24>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have begun testing this -proposed kernel.

Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/trusty/3.16.0-51.69~14.04.1/trusty-3.16-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-10-16
description: updated
Brad Figg (brad-figg) on 2015-10-16
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-10-16
description: updated
Brad Figg (brad-figg) on 2015-10-18
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (11.2 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-51.69~14.04.1

---------------
linux-lts-utopic (3.16.0-51.69~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503717

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux-lts-utopic (3.16.0-51.68~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503239

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Leann Ogasawara ]

  * [Config] d-i -- Add sfc to nic-modules udeb
    - LP: #1481490

  [ Upstream Kernel Changes ]

  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * mmc: sdhci: Add a quirk for AMD SDHC transfer mode register need to be
    cleared for cmd without data
    - LP: #1472843
  * md: use kzalloc() when bitmap is disabled
    - LP: #1500484
  * sparc64: Fix userspace FPU register corruptions.
    - LP: #1500484
  * ARM: OMAP2+: hwmod: Fix _wait_target_ready() for hwmods without sysc
    - LP: #1500484
  * ASoC: pcm1681: Fix setting de-emphasis sampling rate selection
    - LP: #1500484
  * iscsi-target: Fix use-after-free during TPG session shutdown
    - LP: #1500484
  * iscsi-target: Fix iscsit_start_kthreads failure OOPs
    - LP: #1500484
  * iscsi-target: Fix iser explicit logout TX kthread leak
    - LP: #1500484
  * ARM: dts: i.MX35: Fix can support.
    - LP: #1500484
  * ALSA: hda - Apply fixup for another Toshiba Satellite S50D
    - LP: #1500484
  * vhost: actually track log eventfd file
    - LP: #1500484
  * arm64/efi: map the entire UEFI vendor string before reading it
    - LP: #1500484
  * xfs: remote attribute headers contain an invalid LSN
    - LP: #1500484
  * xfs: remote attributes need to be considered data
    - LP: #1500484
  * ALSA: hda - Apply a fixup to Dell Vostro 5480
    - LP: #1500484
  * ALSA: usb-audio: add dB range mapping for some devices
    - LP: #1500484
  * drm/i915: Replace WARN inside I915_READ64_2x32 with retry loop
    - LP: #1500484
  * drm/radeon/combios: add some validation of lvds values
    - LP: #1500484
  * x86/efi: Use all 64 bit of efi_memmap in setup_e820()
    - LP: #1500484
  * ipr: Fix locking for unit attention handling
    - LP: #1500484
  * ipr: Fix incorrect trace indexing
    - LP: #1500484
  * ipr: Fix invalid array indexing for HRRQ
    - LP: #1500484
  * ALSA: hda - Fix MacBook Pro 5,2 quirk
    - LP: #1500484
  * x86/xen: Probe target addresses in set_aliased_prot() before the
    hypercall
    - LP: #1500484
  * netfilter: ctnetlink: put back references to master ct and expect
    objects
    - LP: #1500484
  * ipvs: do not use random local source address for tunnels
    - LP: #1500484
  * ipvs: fix crash if scheduler is changed
    - LP: #1500484
  * ipvs: fix crash with sync protocol v0 and FTP
    - ...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released

 linux-lts-utopic | 3.16.0-51.69~14.04.1 | trusty-updates | source
 linux-meta-lts-utopic | 3.16.0.51.42 | trusty-updates | source
 linux-signed-lts-utopic | 3.16.0-51.69~14.04.1 | trusty-updates | source

Brad Figg (brad-figg) on 2015-10-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers